<?xml version="1.0" encoding="utf-8"?>
<Kingview CompactMode="1">
  <ProjectTemplates>
    <!--
      Project Template
      -->
    <ProjectTemplate Name="Standard">
    <!--Standard Version Project Object-->
      <Language Name="简体中文" LCID="2052"/>
      <ExplorerNodeTree>
        <!--View-->
	  		<ExplorerNode Text="View" Type="assddd" Title="aas" Addin="" Icon="images/view.ico" ListSubNodes="True">
	  			<SubNodes>
	  				<ExplorerNode Text="Window" Type="Pictures" Title="Window" Addin="PictureDevAddin" Icon="images/picture.ico" 
>					</ExplorerNode>
	  				<ExplorerNode Text="Graphics Model" Type="GraphyModels" Title="Graphic Model" Addin="GraphyModelAddin" Icon="images/graphyModel.ico" ListSubNodes="True">
					</ExplorerNode>	
				</SubNodes>
			</ExplorerNode>
      <!-- IOServer-->
 			 <ExplorerNode Text="IO SERVER" Type="IO SERVER" Title="IO SERVER SETTING" Addin="kxIOServerCfgManagerDev" Icon="images/IOSERVER.ico"> 
			 </ExplorerNode>
				<!--Database-->
			<ExplorerNode Text="Database" Type="database" Title="Project database manager" Addin="kxTagDev" Icon="images/TagDB.ico"> 
				<Commands/>
				<SubNodes>
					<ExplorerNode Text="Tag Dictionary" Type="tagdict" Title="Tagdict manager" Addin="kxTagDev" Icon="images/tagdict.ico">
						<Commands>
							<Command Text="New Tag Group" Name="NewTagGrp" Tooltip="create one new Tag Group" Icon="images/NewTagGrp.ico"/>
							<Command Text="New Tag" Name="NewTag" Tooltip="Create one new Tag" Icon="images/NewTag.ico"/>
						</Commands>
					</ExplorerNode>		 
					<ExplorerNode Text="Struct Template" Type="tagstruct" Title="Struct template manager" Addin="kxTagDev" Icon="images/struct_template.ico"> 
						<Commands>
							<Command Text="New Struct Template" Name="NewTemp" Tooltip="Create one new Struct Template" Icon="images/newtemplate.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="Alarm Groups" Type="almgrp_root" Title="Alarm Group manager" Addin="kxTagDev" Icon="images/AlarmGoup.ico">
						<Commands>
							<Command Text="New Alarm Group" Name="NewAlmGrp" Tooltip="Create one new Alarm Group" Icon="images/newalmgrp.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="Nonlinear Tables" Type="NlnTab_root" Title="Nonlinear Table manager" Addin="kxTagDev" Icon="images/NolineTable.ico"> 
						<Commands>
							<Command Text="New Nonlinear Table" Name="NewNlnTab" Tooltip="Create one new Nonlinear Table" Icon="images/newalmgrp.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="Data Model Instances" Type="dmInst" Title="Data Model Instances manager" Addin="kxDataModelDev" Icon="images/DataModelInst.ico"> 
						<Commands>
							<Command Text="Compile" Name="CompileDmInsts" Tooltip="Compile All DataModel Instances" Icon="images/Compile.ico"/>
							<Command Text="New Data Model Instance" Name="NewDMInst" Tooltip="Create one new Data Model Instance" Icon="images/DataModelInst.ico"/>
						</Commands>
					</ExplorerNode>
					<ExplorerNode Text="Data Model" Type="dmTemp" Title="Data Model manager" Addin="kxDataModelDev" Icon="images/DataModel.ico"> 
						<Commands>
							<Command Text="Compile" Name="CompileDmDefs" Tooltip="Compile All DataModel Definitions" Icon="images/Compile.ico"/>
							<Command Text="New Data Model" Name="NewDM" Tooltip="Create one new Data Model" Icon="images/DataModel.ico"/>
							<Command Text="New From System Lib" Name="NewDMBySys" Tooltip="Create one new Data Model by system lib" Icon="images/DataModel.ico"/>
						</Commands>
					</ExplorerNode>
				</SubNodes>
			</ExplorerNode>
      	<!--Script-->
      	<ExplorerNode Text="Script" Type="ApplicationLogicScripts" Title="Script" Addin="LogicDevAddin" Icon="images/script.ico" ListSubNodes="True">
					<Commands>
					<Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
					</Commands>
		    	<SubNodes>
						<ExplorerNode Text="System Script" Type="SystemLogicScripts" Title="System Script" Addin="LogicDevAddin" Icon="images/systemscript.ico">
							<Commands>
							<Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
							</Commands>
							<SubNodes>
								<ExplorerNode Text="Application Script" Type="ApplicationLogicScript" Title="Application Script" Addin="LogicDevAddin" Icon="images/applicationscript.ico"> 
									<Commands>
									<Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
								<ExplorerNode Text="Alarm Script" Type="AlarmLogicScript" Title="Alarm Script" Addin="LogicDevAddin" Icon="images/alarmscript.ico"> 
									<Commands>
									<Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
								<ExplorerNode Text="User Script" Type="UserLogicScript" Title="User Script" Addin="LogicDevAddin" Icon="images/userscript.ico"> 
									<Commands>
									<Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
									</Commands>
								</ExplorerNode>
				    	</SubNodes>
			    	</ExplorerNode>	
						<ExplorerNode Text="Custom Script" Type="CustomLogicScripts" Title="Custom Script" Addin="LogicDevAddin" Icon="images/customscript.ico"> 
							<Commands>
							<Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
							</Commands>
							<SubNodes> 
				      	<ExplorerNode Text="DataChange Script" Type="DataChangeLogicScript" Title="DataChange Script" Addin="LogicDevAddin" Icon="images/DataChan.ico ">
				        	<Commands>
				          <Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
				          <Command Text="New" Name="Node.AddLogicScript" Tooltip="Add new Script" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 
				        <ExplorerNode Text="Event Script" Type="ExpressLogicScript" Title="Event Script" Addin="LogicDevAddin" Icon="images/event.ico"> 
				        	<Commands>
				          <Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
				          <Command Text="New" Name="Node.AddLogicScript" Tooltip="Add New Script" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				       	</ExplorerNode>
				        <ExplorerNode Text="HotKey Script" Type="HotKeyLogicScript" Title="HotKey Script" Addin="LogicDevAddin" Icon="images/HotKey.ico">
				        	<Commands>
				          <Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
				          <Command Text="New" Name="Node.AddLogicScript" Tooltip="Add New Script" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode>      
				        <ExplorerNode Text="Custom Function Script" Type="CustomFunctionLogicScript" Title="Custom Function Script" Addin="LogicDevAddin" Icon="images/customFun.ico">
				        	<Commands>
				          <Command Text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
				          <Command Text="New" Name="Node.AddLogicScript" Tooltip="Add New Script" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 			
					    <ExplorerNode Text="Timer Script" Type="TimerLogicScript" Title="Timer Script" Addin="LogicDevAddin" Icon="images/timerScript.ico">
				        	<Commands>
				          <Command text="Compile" Name="Node.CompileLogicScript" Tooltip="Compile Script" Icon="images/compile.ico"/>
				          <Command Text="New" Name="Node.AddLogicScript" Tooltip="Add New Script" Icon="images/addTagChangeScript.ico"/>
				          </Commands>
				        </ExplorerNode> 					
							</SubNodes>
						</ExplorerNode>	
					</SubNodes>		
	     	</ExplorerNode>

       	<!--Setting-->
	     	<ExplorerNode Text="Setting" Type="SysCfgNode" Title="Setting" Addin="" Icon="images/Setting.ico">
	     		<SubNodes> 
		      	<ExplorerNode Text="Security Setting" Type="Security" Title="Security Setting" Addin="kxUserDev" Icon="images/security.ico">
		      	</ExplorerNode> 
						<ExplorerNode Text="AlarmAndEvent Setting" Type="AlmCfgNode" Title="AlarmAndEvent Setting" Addin="kxSysCfgDev" Icon="images/AlarmSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>
						<ExplorerNode Text="HistoryRecord Setting" Type="HistoryCfgNode" Title="HistoryRecord Setting" Addin="kxSysCfgDev" Icon="images/HisRecSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>
						<ExplorerNode Text="View Setting" Type="RunCfgNode" Title="View Setting" Addin="kxSysCfgDev" Icon="images/ViewSetting.ico" ListSubNodes="FALSE">
						</ExplorerNode>      		
					</SubNodes> 
				</ExplorerNode>  
				
				<!--NetWork-->
	     	<ExplorerNode Text="Network Setting" Type="NetSettings" Title="Network Setting" Addin="" Icon="images/NetWorkSettings.ico">
	     		<SubNodes> 
	     		  <ExplorerNode Text="Local Setting" Type="NetCfgNode" Title="Local NetWork Setting" Addin="kxSysCfgDev" Icon="images/localNetSetting.ico" ListSubNodes="FALSE">
	        	</ExplorerNode>		
	        	<!--Station-->   
       			<ExplorerNode Text="Station" Type="StationNode" Title ="Station Manager" Addin="kxSysCfgDev" Icon="images/station.ico">
       			</ExplorerNode> 
  				</SubNodes> 
	     	</ExplorerNode>			

				<!--Recipe-->
	     	<ExplorerNode Text="Recipe" Type="RecipeType" Title="Recipe" Addin="RecipeDevAddin" Icon="images/Recipe.ico">
	     	</ExplorerNode>
	     					
				<!--Resource-->
				<ExplorerNode Text="Resource Manage" Type="ProjectResource" Title="Resource Manager" Addin="ResourceDev" Icon="images/resource.ico">
					<SubNodes>
					  <ExplorerNode Text="String" Type="StringResource" title="String Resource View" Addin="ResourceDev" Icon="images/stringResource.ico"> 
  					</ExplorerNode> 
						<ExplorerNode Text="Image" Type="ImageResource" Title="Image" Addin="ResourceDev" Icon="images/Image.ico">		
						</ExplorerNode>				 
		      	<ExplorerNode Text="File" Type="FileResource" Title="File" Addin="ResourceDev" Icon="images/file.ico">
		      		<SubNodes>
				      	<ExplorerNode Text="Video" Type="VideoFile" Title="Video File View" Addin="ResourceDev" Icon="images/video.ico">
    						</ExplorerNode> 
								<ExplorerNode Text="Audio" Type="AudioFile" Title="Audio File View" Addin="ResourceDev" Icon="images/audio.ico">
								</ExplorerNode>
								<ExplorerNode Text="Document" Type="DocumentFile" Title="Document File View" Addin="ResourceDev" Icon="images/document.ico">
								</ExplorerNode>
								<ExplorerNode Text="Other" Type="OtherFile" Title="Other File View" Addin="ResourceDev" Icon="images/other.ico">
											</ExplorerNode>   														
		      		</SubNodes>>
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>				
				<!--Languge-->
				<ExplorerNode Text="Language Manage" Type="ProjectLanguage" Title="Language Manager" Addin="ResourceDev" Icon="images/LangugeManage.ico">
					<SubNodes>
						<ExplorerNode Text="Language" Type="LanguageResource" Title="Language Setting" Addin="ResourceDev" Icon="images/language.ico">		
						</ExplorerNode> 
						<ExplorerNode Text="String" Type="StringTranslateResource" Title="String view" Addin="ResourceDev" Icon="images/stringResource.ico">		
						</ExplorerNode> 
						<ExplorerNode Text="Image" Type="ImageTranslateResource" Title="Image view" Addin="ResourceDev" Icon="images/Image.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="File" Type="FileTranslateResource" Title="File Resource View" Addin="ResourceDev" Icon="images/file.ico">
		      		<SubNodes>
				      	<ExplorerNode Text="Video" Type="VideoTranslateFile" Title="Video File View" Addin="ResourceDev" Icon="images/video.ico">
    						</ExplorerNode> 
								<ExplorerNode Text="Audio" Type="AudioTranslateFile" Title="Audio File View" Addin="ResourceDev" Icon="images/audio.ico">
								</ExplorerNode>
								<ExplorerNode Text="Document" Type="DocumentTranslateFile" Title="Document File View" Addin="ResourceDev" Icon="images/document.ico">
								</ExplorerNode>
								<ExplorerNode Text="Other" Type="OtherTranslateFile" Title="Other File View" Addin="ResourceDev" Icon="images/other.ico">
								</ExplorerNode>  																
		      		</SubNodes>>
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>				       	
				<!--SQL-->
				<ExplorerNode Text="SQL Access" Type="SqlType" Title="SQL Access" Addin="SqlDevAddin" Icon="images/sqlaccess.ico">
					<SubNodes>
						<ExplorerNode Text="Table Template" Type="TableTemplateNodeType" Title="SQL Table Template" Addin="SqlDevAddin" Icon="images/sqltable.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="Bind List" Type="BindListNodeType" Title="SQL Bind List" Addin="SqlDevAddin" Icon="images/SqlRecordset.ico">
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>
				<!--Web-->
				<ExplorerNode Text="Web" Type="web" Title="Web publish setting" Addin="kxWebDev" Icon="images/web.ico">
					<SubNodes>
						<ExplorerNode Text="Web Server" Type="webServer" Title="Webserver setting" Addin="kxWebDev" Icon="images/websvr.ico">		
						</ExplorerNode> 
		      	<ExplorerNode Text="Web Publish" Type="webPublish" Title="Web publish group" Addin="kxWebDev" Icon="images/webItem.ico">
		      	</ExplorerNode> 
					</SubNodes>
       	</ExplorerNode>					
      </ExplorerNodeTree>
    </ProjectTemplate>
  </ProjectTemplates>
</Kingview>
